Subject: Re: bug#18750: --line-buffered option doesn't work with --files-with-matches

From: Louis Sautier <[email-masked]>
Date: Mon, 20 Oct 2014 09:29:23 +0200

I have no issue with this behaviour, I just wish one could have
buffered null-separated output as well.

On 19 October 2014 02:43, Norihiro Tanaka <[email-masked]> wrote:
> Jim Meyering <[email-masked]> wrote:
>> Thanks, but as a stand-alone patch, that makes grep fail to compile,
>> because there is one remaining use of the variable whose declaration
>> is removed.
>
> Sorry, I fixed it, and compiled and tested.
>
>> In any case, there is some ambiguity in the documentation
>> about what "line" buffering means with -Z. With -l and -Z, should
>> grep --line-buffered flush after printing each <file_name, NUL> pair?
>> That's what I'd expect.
>
> I interprete the means as line buffered option `_IOLBF' of setvbuf, and
> I think that many users will expect the behavior.  However, different
> interpretations might also be present.